#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=raoul7.29_base.ps
projection=-JM16.0c+
region=-R-176.7/-175.0/-27.6/-25.8
gmt psbasemap $region $projection -Bxa0.5f0.1 -Bya0.5f0.1 -BWeSn+t'Base Map raoul7.29' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
   -27.083  -176.103
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
   -26.543  -175.277
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
   -26.612  -176.644
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
   -27.060  -175.990
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
   -26.632  -175.289
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
   -26.579  -175.284
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
   -27.089  -176.116
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
   -26.646  -175.951
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
   -27.131  -176.043
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
   -26.808  -175.871
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
   -26.316  -175.839
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
   -26.440  -175.823
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
   -26.976  -176.008
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
   -26.637  -175.765
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
   -26.571  -175.612
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
   -26.867  -175.838
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
   -26.904  -175.921
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
   -26.961  -175.431
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
   -27.129  -175.988
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
   -27.121  -176.037
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
   -25.999  -175.149
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
   -27.081  -176.029
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
   -27.017  -175.894
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
   -26.709  -175.519
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
   -27.243  -176.005
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
   -26.389  -176.108
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
   -26.359  -176.117
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
   -27.455  -175.882
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
   -26.470  -176.340
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
   -25.923  -176.074
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
   -26.694  -175.983
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
   -26.629  -175.961
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
   -26.621  -175.955
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
   -26.647  -175.403
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
   -26.627  -175.534
END
gmt psxy -: -R $projection -Sl8p+t"36" -G0 -O -K << END >> $psfile
   -26.645  -175.542
END
gmt psxy -: -R $projection -Sl8p+t"37" -G0 -O -K << END >> $psfile
   -26.647  -175.450
END
gmt psxy -: -R $projection -Sl8p+t"38" -G0 -O -K << END >> $psfile
   -26.645  -175.540
END
gmt psxy -: -R $projection -Sl8p+t"39" -G0 -O -K << END >> $psfile
   -26.607  -175.947
END
gmt psxy -: -R $projection -Sl8p+t"40" -G0 -O -K << END >> $psfile
   -26.602  -175.661
END
gmt psxy -: -R $projection -Sl8p+t"41" -G0 -O -K << END >> $psfile
   -27.192  -175.881
END
gmt psxy -: -R $projection -Sl8p+t"42" -G0 -O -K << END >> $psfile
   -26.737  -175.997
END
gmt psxy -: -R $projection -Sl8p+t"43" -G0 -O -K << END >> $psfile
   -26.970  -175.895
END
gmt psxy -: -R $projection -Sl8p+t"44" -G0 -O -K << END >> $psfile
   -27.045  -175.858
END
gmt psxy -: -R $projection -Sl8p+t"45" -G0 -O -K << END >> $psfile
   -26.854  -175.911
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -27.092  -176.099
   -27.083  -176.103
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -27.047  -176.276
   -27.083  -176.103
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -26.542  -175.281
   -26.543  -175.277
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -26.678  -175.665
   -26.543  -175.277
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -26.610  -176.643
   -26.612  -176.644
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -26.983  -176.830
   -26.612  -176.644
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -27.064  -175.988
   -27.060  -175.990
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -27.097  -176.400
   -27.060  -175.990
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -26.634  -175.291
   -26.632  -175.289
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -26.834  -175.766
   -26.632  -175.289
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -26.581  -175.282
   -26.579  -175.284
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -26.794  -175.508
   -26.579  -175.284
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -27.092  -176.115
   -27.089  -176.116
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -27.305  -176.454
   -27.089  -176.116
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -26.648  -175.951
   -26.646  -175.951
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -26.792  -176.260
   -26.646  -175.951
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -27.133  -176.041
   -27.131  -176.043
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -27.282  -176.331
   -27.131  -176.043
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -26.810  -175.871
   -26.808  -175.871
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -27.005  -176.189
   -26.808  -175.871
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -26.318  -175.837
   -26.316  -175.839
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -26.599  -176.134
   -26.316  -175.839
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -26.441  -175.822
   -26.440  -175.823
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -26.872  -176.141
   -26.440  -175.823
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -26.978  -176.007
   -26.976  -176.008
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -27.294  -176.419
   -26.976  -176.008
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -26.640  -175.763
   -26.637  -175.765
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -26.890  -176.145
   -26.637  -175.765
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -26.573  -175.612
   -26.571  -175.612
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -26.915  -176.092
   -26.571  -175.612
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -26.868  -175.839
   -26.867  -175.838
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -27.126  -176.070
   -26.867  -175.838
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -26.905  -175.919
   -26.904  -175.921
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -27.034  -176.255
   -26.904  -175.921
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -26.964  -175.430
   -26.961  -175.431
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -27.113  -175.954
   -26.961  -175.431
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -27.131  -175.987
   -27.129  -175.988
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -27.234  -176.357
   -27.129  -175.988
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -27.120  -176.036
   -27.121  -176.037
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -27.083  -176.460
   -27.121  -176.037
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -26.002  -175.148
   -25.999  -175.149
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -26.125  -175.555
   -25.999  -175.149
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -27.082  -176.031
   -27.081  -176.029
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -27.231  -176.510
   -27.081  -176.029
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -27.019  -175.890
   -27.017  -175.894
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -27.228  -176.213
   -27.017  -175.894
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -26.709  -175.518
   -26.709  -175.519
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -26.874  -175.963
   -26.709  -175.519
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -27.243  -176.004
   -27.243  -176.005
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -27.203  -176.035
   -27.243  -176.005
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -26.389  -176.107
   -26.389  -176.108
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -26.445  -176.096
   -26.389  -176.108
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -26.359  -176.118
   -26.359  -176.117
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -26.447  -176.107
   -26.359  -176.117
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -27.457  -175.880
   -27.455  -175.882
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -27.488  -175.840
   -27.455  -175.882
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -26.466  -176.342
   -26.470  -176.340
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -26.510  -176.327
   -26.470  -176.340
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -25.921  -176.075
   -25.923  -176.074
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -26.050  -176.081
   -25.923  -176.074
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -26.694  -175.984
   -26.694  -175.983
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -26.707  -175.932
   -26.694  -175.983
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -26.631  -175.956
   -26.629  -175.961
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -26.643  -176.001
   -26.629  -175.961
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -26.623  -175.953
   -26.621  -175.955
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -26.648  -175.968
   -26.621  -175.955
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -26.647  -175.402
   -26.647  -175.403
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -26.660  -175.491
   -26.647  -175.403
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -26.632  -175.534
   -26.627  -175.534
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -26.651  -175.527
   -26.627  -175.534
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -26.645  -175.540
   -26.645  -175.542
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -26.667  -175.545
   -26.645  -175.542
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -26.649  -175.447
   -26.647  -175.450
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -26.649  -175.506
   -26.647  -175.450
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -26.649  -175.540
   -26.645  -175.540
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -26.643  -175.518
   -26.645  -175.540
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -26.610  -175.945
   -26.607  -175.947
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -26.651  -175.959
   -26.607  -175.947
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -26.603  -175.660
   -26.602  -175.661
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -26.799  -175.816
   -26.602  -175.661
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -27.195  -175.879
   -27.192  -175.881
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -27.442  -176.252
   -27.192  -175.881
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -26.739  -175.997
   -26.737  -175.997
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -26.817  -176.291
   -26.737  -175.997
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -26.971  -175.895
   -26.970  -175.895
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -27.071  -176.043
   -26.970  -175.895
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -27.046  -175.857
   -27.045  -175.858
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -27.242  -176.160
   -27.045  -175.858
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -26.855  -175.909
   -26.854  -175.911
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -27.256  -176.252
   -26.854  -175.911
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
   -27.083  -176.103    40.426     3.942     6.443
   -26.543  -175.277    47.049     3.614     6.179
   -26.612  -176.644    58.918     5.848     8.675
   -27.060  -175.990    59.658     3.489     6.944
   -26.632  -175.289    29.796     3.800     5.441
   -26.579  -175.284    22.917     3.523     6.438
   -27.089  -176.116    52.679     3.246     4.827
   -26.646  -175.951    51.718     4.764     5.936
   -27.131  -176.043    57.237     4.827     7.831
   -26.808  -175.871    58.922     3.691     5.571
   -26.316  -175.839    49.074     3.794     5.263
   -26.440  -175.823    21.593     6.608     7.351
   -26.976  -176.008    52.815     2.087     2.935
   -26.637  -175.765    58.431     2.644     3.288
   -26.571  -175.612    44.901     2.746     3.770
   -26.867  -175.838    46.153     2.971     3.723
   -26.904  -175.921    47.975     2.526     2.956
   -26.961  -175.431    48.022     2.935     4.580
   -27.129  -175.988    55.276     3.347     4.649
   -27.121  -176.037    51.842     4.591     6.920
   -25.999  -175.149    57.944     2.015     2.846
   -27.081  -176.029    45.703     3.733     5.525
   -27.017  -175.894    10.371     4.933     6.528
   -26.709  -175.519   -79.946     0.315    12.288
   -27.243  -176.005   -23.248     3.235     3.647
   -26.389  -176.108     8.777     2.772     4.011
   -26.359  -176.117    42.178     2.658     4.292
   -27.455  -175.882    23.867     2.829     5.562
   -26.470  -176.340    35.047     4.576     5.685
   -25.923  -176.074    47.761     3.368     3.734
   -26.694  -175.983    16.286     2.579     3.777
   -26.629  -175.961     1.012     2.309     4.532
   -26.621  -175.955    28.849     1.533     2.319
   -26.647  -175.403   -46.966     3.227     3.478
   -26.627  -175.534    18.498     2.757     4.708
   -26.645  -175.542    42.557     2.052     2.859
   -26.647  -175.450    87.823     3.483     3.612
   -26.645  -175.540    -8.987     3.839     4.527
   -26.607  -175.947    20.420     2.547     4.376
   -26.602  -175.661    71.738     2.485     4.109
   -27.192  -175.881    61.576     1.663     2.575
   -26.737  -175.997    60.273     4.631     5.286
   -26.970  -175.895    52.976     1.911     2.701
   -27.045  -175.858    47.088     2.422     3.243
   -26.854  -175.911    43.060     2.728     4.016
END
# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
   -27.192  -175.881     0.300
END

# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
   -27.503  -176.683    -2.443     2.291     3.935
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
   -27.503  -176.660   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
   -27.503  -176.683     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
   -27.503  -176.683     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
   -27.548  -176.683   5 km
END
