#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=raoul7.29_dcal.ps
projection=-JM16.0c+
region=-R-178.8/-173.0/-29.4/-24.0
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration raoul7.29' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.176  -176.132
   -27.243  -176.005
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.177  -175.934
   -27.243  -176.005
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -176.092
   -27.243  -176.005
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -175.893
   -27.243  -176.005
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -176.293
   -27.243  -176.005
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.852  -176.255
   -27.243  -176.005
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.507  -175.555
   -27.243  -176.005
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.527  -175.977
   -27.243  -176.005
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.525  -175.777
   -27.243  -176.005
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.512  -176.812
   -27.243  -176.005
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.364  -176.139
   -27.243  -176.005
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.688  -175.116
   -27.243  -176.005
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.208  -176.100
   -27.243  -176.005
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.200  -175.900
   -27.243  -176.005
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.210  -175.701
   -27.243  -176.005
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.883  -175.225
   -27.243  -176.005
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.883  -175.225
   -27.243  -176.005
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.364  -176.139
   -26.389  -176.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.364  -176.139
   -26.389  -176.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.526  -176.176
   -26.389  -176.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.526  -176.176
   -26.389  -176.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.527  -175.977
   -26.389  -176.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.527  -175.977
   -26.389  -176.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.208  -176.100
   -26.389  -176.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.525  -175.777
   -26.389  -176.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.200  -175.900
   -26.389  -176.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.210  -175.701
   -26.389  -176.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.852  -176.255
   -26.389  -176.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -176.092
   -26.389  -176.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -176.293
   -26.389  -176.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.875  -176.424
   -26.389  -176.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.875  -176.424
   -26.389  -176.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.176  -176.132
   -26.389  -176.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.177  -175.934
   -26.389  -176.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.688  -175.116
   -26.389  -176.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.688  -175.116
   -26.389  -176.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.883  -175.225
   -26.389  -176.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.883  -175.225
   -26.389  -176.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.507  -175.555
   -26.389  -176.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.507  -175.555
   -26.389  -176.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.512  -176.812
   -26.389  -176.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.364  -176.139
   -26.359  -176.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.364  -176.139
   -26.359  -176.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.526  -176.176
   -26.359  -176.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.527  -175.977
   -26.359  -176.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.208  -176.100
   -26.359  -176.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.525  -175.777
   -26.359  -176.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.200  -175.900
   -26.359  -176.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.852  -176.255
   -26.359  -176.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.210  -175.701
   -26.359  -176.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -176.092
   -26.359  -176.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -176.293
   -26.359  -176.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -175.893
   -26.359  -176.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.875  -176.424
   -26.359  -176.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.176  -176.132
   -26.359  -176.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.688  -175.116
   -26.359  -176.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.883  -175.225
   -26.359  -176.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.883  -175.225
   -26.359  -176.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.507  -175.555
   -26.359  -176.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.512  -176.812
   -26.359  -176.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.512  -176.812
   -26.359  -176.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.177  -175.934
   -27.455  -175.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.176  -176.132
   -27.455  -175.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -175.893
   -27.455  -175.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -176.092
   -27.455  -175.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -176.293
   -27.455  -175.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.852  -176.255
   -27.455  -175.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.512  -176.812
   -27.455  -175.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.525  -175.777
   -27.455  -175.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.527  -175.977
   -27.455  -175.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.526  -176.176
   -27.455  -175.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.210  -175.701
   -27.455  -175.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.200  -175.900
   -27.455  -175.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.208  -176.100
   -27.455  -175.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.875  -176.424
   -27.455  -175.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.883  -175.225
   -27.455  -175.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.883  -175.225
   -27.455  -175.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.526  -176.176
   -26.470  -176.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.526  -176.176
   -26.470  -176.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.364  -176.139
   -26.470  -176.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.527  -175.977
   -26.470  -176.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.852  -176.255
   -26.470  -176.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.200  -175.900
   -26.470  -176.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.525  -175.777
   -26.470  -176.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -176.293
   -26.470  -176.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -176.092
   -26.470  -176.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -175.893
   -26.470  -176.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -175.893
   -26.470  -176.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.210  -175.701
   -26.470  -176.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.875  -176.424
   -26.470  -176.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.875  -176.424
   -26.470  -176.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.176  -176.132
   -26.470  -176.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.177  -175.934
   -26.470  -176.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.512  -176.812
   -26.470  -176.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.512  -176.812
   -26.470  -176.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.688  -175.116
   -26.470  -176.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.688  -175.116
   -26.470  -176.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.883  -175.225
   -26.470  -176.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.507  -175.555
   -26.470  -176.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.875  -176.424
   -25.923  -176.074
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.875  -176.424
   -25.923  -176.074
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.210  -175.701
   -25.923  -176.074
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.527  -175.977
   -25.923  -176.074
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.527  -175.977
   -25.923  -176.074
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.525  -175.777
   -25.923  -176.074
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.883  -175.225
   -25.923  -176.074
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.883  -175.225
   -25.923  -176.074
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.852  -176.255
   -25.923  -176.074
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -175.893
   -25.923  -176.074
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -175.893
   -25.923  -176.074
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -176.293
   -25.923  -176.074
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.176  -176.132
   -25.923  -176.074
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.177  -175.934
   -25.923  -176.074
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.507  -175.555
   -25.923  -176.074
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.512  -176.812
   -25.923  -176.074
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.527  -175.977
   -26.694  -175.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -175.893
   -26.694  -175.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -175.893
   -26.694  -175.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.852  -176.255
   -26.694  -175.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.364  -176.139
   -26.694  -175.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -176.293
   -26.694  -175.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.177  -175.934
   -26.694  -175.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.176  -176.132
   -26.694  -175.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.208  -176.100
   -26.694  -175.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.507  -175.555
   -26.694  -175.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.507  -175.555
   -26.694  -175.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.875  -176.424
   -26.694  -175.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.883  -175.225
   -26.694  -175.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.883  -175.225
   -26.694  -175.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.512  -176.812
   -26.694  -175.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.527  -175.977
   -26.629  -175.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.527  -175.977
   -26.629  -175.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.364  -176.139
   -26.629  -175.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.852  -176.255
   -26.629  -175.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -175.893
   -26.629  -175.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -175.893
   -26.629  -175.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.208  -176.100
   -26.629  -175.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -176.293
   -26.629  -175.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.177  -175.934
   -26.629  -175.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.176  -176.132
   -26.629  -175.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.176  -176.132
   -26.629  -175.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.875  -176.424
   -26.629  -175.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.875  -176.424
   -26.629  -175.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.507  -175.555
   -26.629  -175.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.507  -175.555
   -26.629  -175.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.883  -175.225
   -26.629  -175.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.512  -176.812
   -26.629  -175.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.527  -175.977
   -26.621  -175.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.527  -175.977
   -26.621  -175.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.364  -176.139
   -26.621  -175.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.852  -176.255
   -26.621  -175.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -175.893
   -26.621  -175.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -175.893
   -26.621  -175.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.208  -176.100
   -26.621  -175.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -176.293
   -26.621  -175.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.177  -175.934
   -26.621  -175.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.176  -176.132
   -26.621  -175.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.875  -176.424
   -26.621  -175.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.507  -175.555
   -26.621  -175.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.507  -175.555
   -26.621  -175.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.883  -175.225
   -26.621  -175.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.883  -175.225
   -26.621  -175.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.512  -176.812
   -26.621  -175.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.512  -176.812
   -26.621  -175.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.527  -175.977
   -26.647  -175.403
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -175.893
   -26.647  -175.403
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -175.893
   -26.647  -175.403
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.364  -176.139
   -26.647  -175.403
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.208  -176.100
   -26.647  -175.403
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.852  -176.255
   -26.647  -175.403
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.176  -176.132
   -26.647  -175.403
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.176  -176.132
   -26.647  -175.403
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -176.293
   -26.647  -175.403
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -176.293
   -26.647  -175.403
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.883  -175.225
   -26.647  -175.403
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.883  -175.225
   -26.647  -175.403
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.507  -175.555
   -26.647  -175.403
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.875  -176.424
   -26.647  -175.403
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.512  -176.812
   -26.647  -175.403
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.527  -175.977
   -26.627  -175.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -175.893
   -26.627  -175.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -175.893
   -26.627  -175.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.364  -176.139
   -26.627  -175.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.208  -176.100
   -26.627  -175.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.176  -176.132
   -26.627  -175.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -176.293
   -26.627  -175.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.507  -175.555
   -26.627  -175.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.875  -176.424
   -26.627  -175.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.512  -176.812
   -26.627  -175.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.512  -176.812
   -26.627  -175.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.527  -175.977
   -26.645  -175.542
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -175.893
   -26.645  -175.542
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -175.893
   -26.645  -175.542
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.364  -176.139
   -26.645  -175.542
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.852  -176.255
   -26.645  -175.542
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.208  -176.100
   -26.645  -175.542
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.176  -176.132
   -26.645  -175.542
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.176  -176.132
   -26.645  -175.542
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -176.293
   -26.645  -175.542
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.507  -175.555
   -26.645  -175.542
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.507  -175.555
   -26.645  -175.542
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.875  -176.424
   -26.645  -175.542
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.512  -176.812
   -26.645  -175.542
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.512  -176.812
   -26.645  -175.542
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.527  -175.977
   -26.647  -175.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -175.893
   -26.647  -175.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -175.893
   -26.647  -175.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.364  -176.139
   -26.647  -175.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.208  -176.100
   -26.647  -175.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.852  -176.255
   -26.647  -175.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.176  -176.132
   -26.647  -175.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -176.293
   -26.647  -175.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.507  -175.555
   -26.647  -175.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.507  -175.555
   -26.647  -175.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.875  -176.424
   -26.647  -175.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.512  -176.812
   -26.647  -175.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.512  -176.812
   -26.647  -175.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.527  -175.977
   -26.645  -175.540
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -175.893
   -26.645  -175.540
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -175.893
   -26.645  -175.540
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.364  -176.139
   -26.645  -175.540
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.208  -176.100
   -26.645  -175.540
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.176  -176.132
   -26.645  -175.540
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -176.293
   -26.645  -175.540
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.507  -175.555
   -26.645  -175.540
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.875  -176.424
   -26.645  -175.540
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.512  -176.812
   -26.645  -175.540
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.512  -176.812
   -26.645  -175.540
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.364  -176.139
   -26.607  -175.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.852  -176.255
   -26.607  -175.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -175.893
   -26.607  -175.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -175.893
   -26.607  -175.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -26.208  -176.100
   -26.607  -175.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.015  -176.293
   -26.607  -175.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.176  -176.132
   -26.607  -175.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.875  -176.424
   -26.607  -175.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.507  -175.555
   -26.607  -175.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.507  -175.555
   -26.607  -175.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.883  -175.225
   -26.607  -175.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -25.883  -175.225
   -26.607  -175.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.512  -176.812
   -26.607  -175.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -27.512  -176.812
   -26.607  -175.947
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
   -27.176  -176.132     0.300
   -27.177  -175.934     0.300
   -27.015  -176.092     0.300
   -27.015  -175.893     0.300
   -27.015  -176.293     0.300
   -26.852  -176.255     0.300
   -27.507  -175.555     0.300
   -26.527  -175.977     0.300
   -26.525  -175.777     0.300
   -27.512  -176.812     0.300
   -26.364  -176.139     0.300
   -26.688  -175.116     0.300
   -26.208  -176.100     0.300
   -26.200  -175.900     0.300
   -26.210  -175.701     0.300
   -25.883  -175.225     0.300
   -26.526  -176.176     0.300
   -25.875  -176.424     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -27.083  -176.103     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -26.543  -175.277     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -26.612  -176.644     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -27.060  -175.990     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -26.632  -175.289     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -26.579  -175.284     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -27.089  -176.116     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -26.646  -175.951     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -27.131  -176.043     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -26.808  -175.871     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -26.316  -175.839     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -26.440  -175.823     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -26.976  -176.008     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -26.637  -175.765     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -26.571  -175.612     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -26.867  -175.838     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -26.904  -175.921     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -26.961  -175.431     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -27.129  -175.988     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -27.121  -176.037     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -25.999  -175.149     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -27.081  -176.029     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -27.017  -175.894     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -26.709  -175.519     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -27.243  -176.005     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -26.389  -176.108     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -26.359  -176.117     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -27.455  -175.882     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -26.470  -176.340     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -25.923  -176.074     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -26.694  -175.983     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -26.629  -175.961     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -26.621  -175.955     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -26.647  -175.403     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -26.627  -175.534     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -26.645  -175.542     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -26.647  -175.450     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -26.645  -175.540     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -26.607  -175.947     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -26.602  -175.661     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -27.192  -175.881     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -26.737  -175.997     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -26.970  -175.895     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -27.045  -175.858     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -26.854  -175.911     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
   -26.754  -175.833     0.000   222.000   222.000
   -26.754  -175.833     0.000   444.000   444.000
END
