#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=raoul7.29_depth_histogram.ps
projection=-JX12/10
region=-R4/78/0/10
gmt pshistogram $projection $region -W1 -F -Gcyan -L1p -Z0 -Bxa10f1+l'Depth (km)' -Bya10f1+lCounts -BWeSn+t'Focal Depths raoul7.29' -K <<END>> $psfile
    30.000
    34.000
    28.000
    24.000
    37.000
    36.000
    30.000
    32.000
    32.000
    37.000
    44.000
    24.000
    19.000
    13.000
    33.000
    30.000
     9.000
    35.000
    34.000
    32.000
    20.000
    24.000
    31.000
    31.000
    20.000
    24.000
    27.000
    30.000
    73.000
    27.000
    26.000
    28.000
    28.000
    23.000
    33.000
    33.000
    28.000
    32.000
    27.000
    32.000
    29.000
    41.000
    11.000
    21.000
    13.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica,black+a0.+jBL -K -O << END >> $psfile
     9.400     5.000 Median of constrained depths = 30.0
END
gmt pstext -: -R $projection -F+f10p,Helvetica,black+a0.+jBL -O << END >> $psfile
     8.800     5.000 Spread of constrained depths =  7.3
END
