#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=raoul7.29_tt5_local.ps
projection=-JX18/12
region=-R0/4.0/0/120
gmt psbasemap $region $projection -Bxa1f0.1+l'Epicentral Distance (deg)' -Bya50f10+l'Travel Time (s)' -BWeSn+t'Local Distance raoul7.29' -K > $psfile
# Distance limit for hypocentroid
gmt psxy -: -R $projection -Wthick,black,- -O -K << END >> $psfile
 0.000    1.800
90.000    1.800
END
# Pn TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,green -K -O << END >> $psfile
     5.459     0.100
     6.303     0.200
     7.440     0.300
     8.712     0.400
    10.042     0.500
    11.393     0.600
    12.753     0.700
    14.117     0.800
    15.481     0.900
    16.846     1.000
    18.212     1.100
    19.578     1.200
    20.944     1.300
    22.310     1.400
    23.677     1.500
    25.043     1.600
    26.409     1.700
    27.776     1.800
    29.142     1.900
    30.509     2.000
    31.875     2.100
    33.242     2.200
    34.608     2.300
    35.974     2.400
    37.341     2.500
    38.707     2.600
    40.073     2.700
    41.440     2.800
    42.806     2.900
    44.173     3.000
    45.539     3.100
    46.905     3.200
    48.272     3.300
    49.638     3.400
    51.004     3.500
    52.371     3.600
    53.737     3.700
    55.104     3.800
    56.470     3.900
    57.836     4.000
END
# Pn label
gmt pstext -: -R $projection -F+f10p,Helvetica,green+a0.+jTL -K -O << END >> $psfile
    50.371     3.600 Pn
END
# Pb TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
END
# Pg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
END
# Pg label
gmt pstext -: -R $projection -F+f10p,Helvetica,red+a0.+jTL -K -O << END >> $psfile
    51.371     3.600 Pg
END
# P_ TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,cyan -K -O << END >> $psfile
    47.500     2.500
    49.400     2.600
    51.300     2.700
    53.200     2.800
    55.100     2.900
    57.000     3.000
    58.900     3.100
    60.800     3.200
    62.700     3.300
    64.600     3.400
    66.500     3.500
    68.400     3.600
    70.300     3.700
    72.200     3.800
    74.100     3.900
    76.000     4.000
END
# P_ label
gmt pstext -: -R $projection -F+f10p,Helvetica,cyan+a0.+jBR -K -O << END >> $psfile
    70.400     3.600 P_
END
# Sn TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,green -K -O << END >> $psfile
     9.651     0.100
    11.083     0.200
    13.008     0.300
    15.176     0.400
    17.462     0.500
    19.809     0.600
    22.186     0.700
    24.578     0.800
    26.976     0.900
    29.378     1.000
    31.781     1.100
    34.185     1.200
    36.591     1.300
    38.996     1.400
    41.402     1.500
    43.808     1.600
    46.214     1.700
    48.620     1.800
    51.026     1.900
    53.432     2.000
    55.838     2.100
    58.245     2.200
    60.651     2.300
    63.057     2.400
    65.463     2.500
    67.869     2.600
    70.275     2.700
    72.681     2.800
    75.087     2.900
    77.493     3.000
    79.899     3.100
    82.305     3.200
    84.711     3.300
    87.117     3.400
    89.523     3.500
    91.929     3.600
    94.335     3.700
    96.741     3.800
    99.146     3.900
   101.552     4.000
END
# Sn label
gmt pstext -: -R $projection -F+f10p,Helvetica,green+a0.+jTL -K -O << END >> $psfile
    89.929     3.600 Sn
END
# Sb TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
END
# Sg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
END
# Sg label
gmt pstext -: -R $projection -F+f10p,Helvetica,red+a0.+jTL -K -O << END >> $psfile
    90.929     3.600 Sg
END
# Lg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,cyan -K -O << END >> $psfile
    78.750     2.500
    81.900     2.600
    85.050     2.700
    88.200     2.800
    91.350     2.900
    94.500     3.000
    97.650     3.100
   100.800     3.200
   103.950     3.300
   107.100     3.400
   110.250     3.500
   113.400     3.600
   116.550     3.700
   119.700     3.800
   122.850     3.900
   126.000     4.000
END
# Lg label
gmt pstext -: -R $projection -F+f10p,Helvetica,cyan+a0.+jBR -K -O << END >> $psfile
   115.400     3.600 Lg
END
# Pn TT curve at minimum depth
gmt psxy -: -R $projection -Wthin,green,- -K -O << END >> $psfile
    15.153     0.800
    16.520     0.900
    17.887     1.000
    19.254     1.100
    20.621     1.200
    21.988     1.300
    23.355     1.400
    24.722     1.500
    26.089     1.600
    27.456     1.700
    28.823     1.800
    30.190     1.900
    31.557     2.000
    32.924     2.100
    34.291     2.200
    35.658     2.300
    37.025     2.400
    38.392     2.500
    39.759     2.600
    41.126     2.700
    42.493     2.800
    43.860     2.900
    45.227     3.000
    46.594     3.100
    47.961     3.200
    49.328     3.300
    50.695     3.400
    52.062     3.500
    53.429     3.600
    54.796     3.700
    56.163     3.800
    57.530     3.900
    58.897     4.000
END
# Pb TT curve at minimum depth
gmt psxy -: -R $projection -Wthin,blue,- -K -O << END >> $psfile
END
# Pg TT curve at minimum depth
gmt psxy -: -R $projection -Wthin,red,- -K -O << END >> $psfile
     3.609     0.100
     5.218     0.200
     6.827     0.300
     8.437     0.400
    10.046     0.500
    11.655     0.600
    13.264     0.700
    14.873     0.800
    16.377     0.900
    17.798     1.000
    19.219     1.100
    20.641     1.200
    22.062     1.300
    23.483     1.400
    24.904     1.500
    26.325     1.600
    27.746     1.700
    29.167     1.800
    30.588     1.900
    32.009     2.000
    33.430     2.100
    34.851     2.200
    36.272     2.300
    37.692     2.400
    39.113     2.500
    40.534     2.600
    41.955     2.700
    43.376     2.800
    44.797     2.900
    46.217     3.000
    47.638     3.100
    49.059     3.200
    50.480     3.300
    51.900     3.400
    53.321     3.500
    54.741     3.600
    56.162     3.700
    57.582     3.800
    59.003     3.900
    60.423     4.000
END
# Sn TT curve at minimum depth
gmt psxy -: -R $projection -Wthin,green,- -K -O << END >> $psfile
    32.968     1.100
    35.375     1.200
    37.783     1.300
    40.190     1.400
    42.597     1.500
    45.004     1.600
    47.411     1.700
    49.818     1.800
    52.225     1.900
    54.632     2.000
    57.039     2.100
    59.447     2.200
    61.854     2.300
    64.261     2.400
    66.668     2.500
    69.075     2.600
    71.482     2.700
    73.889     2.800
    76.296     2.900
    78.704     3.000
    81.111     3.100
    83.518     3.200
    85.925     3.300
    88.332     3.400
    90.739     3.500
    93.146     3.600
    95.553     3.700
    97.961     3.800
   100.368     3.900
   102.775     4.000
END
# Sb TT curve at minimum depth
gmt psxy -: -R $projection -Wthin,blue,- -K -O << END >> $psfile
END
# Sg TT curve at minimum depth
gmt psxy -: -R $projection -Wthin,red,- -K -O << END >> $psfile
     6.593     0.100
     9.175     0.200
    11.757     0.300
    14.339     0.400
    16.921     0.500
    19.503     0.600
    22.086     0.700
    24.668     0.800
    27.250     0.900
    29.832     1.000
    32.414     1.100
    34.997     1.200
    37.579     1.300
    40.071     1.400
    42.534     1.500
    44.997     1.600
    47.460     1.700
    49.924     1.800
    52.387     1.900
    54.850     2.000
    57.313     2.100
    59.776     2.200
    62.239     2.300
    64.702     2.400
    67.165     2.500
    69.628     2.600
    72.090     2.700
    74.553     2.800
    77.016     2.900
    79.479     3.000
    81.942     3.100
    84.404     3.200
    86.867     3.300
    89.329     3.400
    91.792     3.500
    94.254     3.600
    96.717     3.700
    99.179     3.800
   101.642     3.900
   104.104     4.000
END
# Pn TT curve at maximum depth
gmt psxy -: -R $projection -Wthin,green,- -K -O << END >> $psfile
    10.679     0.100
    11.009     0.200
    11.535     0.300
    12.228     0.400
    13.056     0.500
    13.992     0.600
    15.012     0.700
    16.097     0.800
    17.232     0.900
    18.407     1.000
    19.613     1.100
    20.844     1.200
    22.095     1.300
    23.361     1.400
    24.640     1.500
    25.930     1.600
    27.229     1.700
    28.536     1.800
    29.848     1.900
    31.166     2.000
    32.488     2.100
    33.814     2.200
    35.144     2.300
    36.476     2.400
    37.811     2.500
    39.148     2.600
    40.487     2.700
    41.828     2.800
    43.170     2.900
    44.514     3.000
    45.859     3.100
    47.205     3.200
    48.552     3.300
    49.901     3.400
    51.249     3.500
    52.599     3.600
    53.949     3.700
    55.300     3.800
    56.651     3.900
    58.003     4.000
END
# Pb TT curve at maximum depth
gmt psxy -: -R $projection -Wthin,blue,- -K -O << END >> $psfile
END
# Pg TT curve at maximum depth
gmt psxy -: -R $projection -Wthin,red,- -K -O << END >> $psfile
END
# Sn TT curve at maximum depth
gmt psxy -: -R $projection -Wthin,green,- -K -O << END >> $psfile
    18.861     0.100
    19.436     0.200
    20.351     0.300
    21.556     0.400
    22.998     0.500
    24.627     0.600
    26.404     0.700
    28.295     0.800
    30.276     0.900
    32.327     1.000
    34.435     1.100
    36.587     1.200
    38.774     1.300
    40.992     1.400
    43.233     1.500
    45.494     1.600
    47.771     1.700
    50.063     1.800
    52.367     1.900
    54.680     2.000
    57.003     2.100
    59.332     2.200
    61.668     2.300
    64.010     2.400
    66.356     2.500
    68.707     2.600
    71.062     2.700
    73.419     2.800
    75.781     2.900
    78.145     3.000
    80.510     3.100
    82.879     3.200
    85.249     3.300
    87.621     3.400
    89.994     3.500
    92.369     3.600
    94.746     3.700
    97.123     3.800
    99.502     3.900
   101.881     4.000
END
# Sb TT curve at maximum depth
gmt psxy -: -R $projection -Wthin,blue,- -K -O << END >> $psfile
END
# Sg TT curve at maximum depth
gmt psxy -: -R $projection -Wthin,red,- -K -O << END >> $psfile
END
# Phases other than the standard crustal phases
gmt psxy -: -R $projection -Sd -Wthin,orange -K -O << END >> $psfile
END
# Pn arrivals
gmt psxy -: -R $projection -Sx -Wthin,green -K -O << END >> $psfile
    40.520     2.689     0.200
    84.848     5.930     0.200
   104.781     7.358     0.200
   120.719     8.606     0.200
   137.148     9.893     0.200
   196.520    14.060     0.200
   221.520    16.004     0.200
   230.520    16.638     0.200
    49.627     3.569     0.200
    73.768     5.181     0.200
    96.889     6.760     0.200
   110.967     7.934     0.200
   123.678     9.026     0.200
   181.229    12.991     0.200
   206.627    15.138     0.200
   188.105    13.434     0.200
   227.105    16.331     0.200
    42.453     2.769     0.200
   220.555    15.901     0.200
   221.719    16.065     0.200
   230.602    16.778     0.200
   187.783    13.790     0.200
   214.469    15.577     0.200
   213.539    15.577     0.200
    43.398     2.825     0.200
   175.662    12.651     0.200
   189.434    13.590     0.200
   188.349    13.590     0.200
   219.559    15.891     0.200
   218.409    15.891     0.200
    48.302     3.227     0.200
   184.922    13.202     0.200
   184.819    13.202     0.200
   185.050    13.202     0.200
   215.481    15.583     0.200
    47.297     3.361     0.200
   181.270    13.099     0.200
   211.633    15.433     0.200
   227.492    16.735     0.200
    43.484     3.003     0.200
   214.488    15.713     0.200
    46.039     2.929     0.200
   189.437    13.498     0.200
   190.164    13.498     0.200
   219.937    15.795     0.200
   233.516    16.755     0.200
   176.586    12.893     0.200
    39.848     2.715     0.200
    40.129     2.715     0.200
   221.699    16.088     0.200
   217.820    15.921     0.200
    40.023     2.694     0.200
    40.242     2.694     0.200
   189.734    13.735     0.200
   216.961    15.960     0.200
    58.957     4.065     0.200
    58.434     4.065     0.200
   172.621    12.438     0.200
    40.281     2.730     0.200
    40.672     2.730     0.200
   192.734    13.695     0.200
   219.734    15.940     0.200
    40.762     2.855     0.200
    41.672     2.855     0.200
   186.473    13.598     0.200
   188.684    13.598     0.200
   219.758    15.806     0.200
    46.102     3.304     0.200
    46.312     3.304     0.200
   182.262    13.207     0.200
   182.523    13.207     0.200
    22.730     1.524     0.200
    40.461     2.618     0.200
   174.734    12.413     0.200
   194.543    13.842     0.200
    18.809     1.218     0.200
    48.672     3.271     0.200
   182.027    13.063     0.200
   182.348    13.063     0.200
     3.840     0.020     0.200
     4.840     0.174     0.200
     4.480     0.209     0.200
     5.301     0.151     0.200
     6.770     0.347     0.200
     6.602     0.251     0.200
     9.473     0.506     0.200
     8.781     0.402     0.200
    11.070     0.653     0.200
    11.980     0.672     0.200
    12.211     0.683     0.200
    10.992     0.556     0.200
    14.121     0.814     0.200
    14.992     0.955     0.200
    15.191     0.932     0.200
    18.492     1.249     0.200
    20.332     1.305     0.200
    47.332     3.293     0.200
   182.031    13.037     0.200
   217.945    15.809     0.200
     6.133     0.281     0.200
     8.434     0.356     0.200
     8.563     0.439     0.200
     8.543     0.477     0.200
    10.414     0.571     0.200
    12.535     0.687     0.200
    13.605     0.828     0.200
    14.875     0.932     0.200
    15.383     0.929     0.200
    16.215     0.962     0.200
    19.516     1.251     0.200
    19.605     1.251     0.200
    20.176     1.257     0.200
    25.164     1.647     0.200
    24.055     1.673     0.200
    38.043     2.534     0.200
   194.668    14.012     0.200
   195.812    14.012     0.200
   218.934    15.937     0.200
    10.158     0.157     0.200
    10.178     0.209     0.200
    11.038     0.330     0.200
    11.708     0.388     0.200
    12.118     0.478     0.200
    12.778     0.508     0.200
    12.898     0.544     0.200
    12.298     0.586     0.200
    14.588     0.673     0.200
    13.838     0.629     0.200
    12.348     0.598     0.200
    15.098     0.727     0.200
    15.868     0.792     0.200
    19.258     1.119     0.200
    18.698     1.117     0.200
    18.858     1.161     0.200
    21.128     1.248     0.200
    46.098     3.103     0.200
   179.644    12.987     0.200
   220.685    16.031     0.200
     7.969     0.319     0.200
     9.039     0.441     0.200
    10.918     0.607     0.200
    11.547     0.656     0.200
    13.199     0.766     0.200
    15.539     0.939     0.200
    17.848     1.099     0.200
    17.750     1.105     0.200
    19.660     1.255     0.200
    24.508     1.645     0.200
    26.270     1.714     0.200
   175.684    12.614     0.200
    45.873     3.069     0.200
    45.634     3.069     0.200
   181.069    12.915     0.200
   184.569    13.315     0.200
   217.036    15.787     0.200
     3.523     0.103     0.200
     6.824     0.309     0.200
     6.764     0.344     0.200
     7.545     0.388     0.200
     8.844     0.438     0.200
     9.115     0.485     0.200
    10.094     0.546     0.200
    11.154     0.566     0.200
    15.074     0.859     0.200
    15.795     0.946     0.200
    15.424     0.995     0.200
    18.824     1.161     0.200
    45.994     3.134     0.200
   178.064    12.982     0.200
   186.439    13.248     0.200
   231.295    16.547     0.200
     3.352     0.096     0.200
     6.563     0.305     0.200
     6.922     0.354     0.200
     7.656     0.396     0.200
     8.609     0.431     0.200
     9.563     0.496     0.200
    10.180     0.554     0.200
    11.109     0.575     0.200
    14.820     0.854     0.200
    15.969     0.952     0.200
    15.188     0.985     0.200
    18.930     1.171     0.200
    46.188     3.144     0.200
   216.320    15.741     0.200
   215.977    15.741     0.200
   234.703    16.778     0.200
    23.512     1.523     0.200
   181.986    13.183     0.200
   183.637    13.120     0.200
     7.688     0.409     0.200
     8.738     0.501     0.200
    10.680     0.602     0.200
    11.820     0.657     0.200
    13.027     0.764     0.200
    13.301     0.780     0.200
    14.141     0.876     0.200
    17.559     1.096     0.200
    22.129     1.440     0.200
   180.195    13.149     0.200
     7.602     0.407     0.200
     8.781     0.484     0.200
    10.762     0.604     0.200
    12.191     0.670     0.200
    12.090     0.663     0.200
    12.719     0.747     0.200
    12.969     0.747     0.200
    13.211     0.766     0.200
    13.949     0.859     0.200
    17.492     1.103     0.200
    21.879     1.424     0.200
   209.645    15.395     0.200
     8.613     0.487     0.200
     9.691     0.539     0.200
    11.594     0.679     0.200
    12.773     0.729     0.200
    12.992     0.749     0.200
    14.191     0.805     0.200
    14.051     0.838     0.200
    14.684     0.861     0.200
    18.203     1.165     0.200
    22.980     1.488     0.200
    49.680     3.391     0.200
   209.703    15.317     0.200
     7.848     0.409     0.200
     8.738     0.484     0.200
    10.809     0.605     0.200
    11.938     0.665     0.200
    12.988     0.747     0.200
    13.148     0.767     0.200
    14.238     0.858     0.200
    17.629     1.104     0.200
    21.930     1.424     0.200
    22.277     1.424     0.200
    48.180     3.341     0.200
   184.488    13.130     0.200
   209.656    15.393     0.200
     6.477     0.298     0.200
     7.008     0.368     0.200
     7.773     0.408     0.200
     8.492     0.421     0.200
     9.344     0.510     0.200
    10.133     0.590     0.200
    14.812     0.846     0.200
    16.594     0.962     0.200
    15.188     0.971     0.200
    18.953     1.186     0.200
    46.664     3.159     0.200
    46.148     3.159     0.200
   150.484    10.574     0.200
   181.984    13.142     0.200
   210.836    15.484     0.200
   212.289    15.484     0.200
   169.031    12.041     0.200
   170.063    12.041     0.200
   168.695    12.054     0.200
   164.453    12.061     0.200
   171.492    12.452     0.200
   173.703    12.772     0.200
   183.555    13.328     0.200
   186.531    13.699     0.200
   190.961    13.761     0.200
   219.563    16.073     0.200
   219.188    15.850     0.200
   214.750    15.810     0.200
   136.123     9.586     0.200
   173.748    12.188     0.200
   191.123    13.554     0.200
   191.477    13.554     0.200
   220.848    15.793     0.200
   221.578    15.793     0.200
    42.984     2.853     0.200
   135.453     9.627     0.200
   169.844    12.159     0.200
   191.156    13.615     0.200
   188.836    13.615     0.200
   219.695    15.698     0.200
   218.633    15.784     0.200
   217.687    15.784     0.200
   224.508    16.377     0.200
   135.570     9.502     0.200
   152.871    10.658     0.200
   187.156    13.645     0.200
   188.730    13.824     0.200
   191.633    13.974     0.200
   204.449    14.935     0.200
   212.109    15.469     0.200
   226.711    16.248     0.200
   224.289    16.384     0.200
   229.184    16.290     0.200
   231.383    16.556     0.200
   233.344    16.665     0.200
END
# Pb arrivals
gmt psxy -: -R $projection -Sx -Wthin,blue -K -O << END >> $psfile
END
# P_ arrivals
gmt psxy -: -R $projection -Sx -Wthin,cyan -K -O << END >> $psfile
END
# Pg arrivals
gmt psxy -: -R $projection -Sx -Wthin,red -K -O << END >> $psfile
    46.813     2.929     0.200
     3.473     0.132     0.200
     3.461     0.091     0.200
     5.164     0.240     0.200
     6.352     0.248     0.200
     6.934     0.343     0.200
     8.773     0.449     0.200
     9.652     0.478     0.200
    12.863     0.714     0.200
    12.730     0.744     0.200
    13.793     0.766     0.200
    15.793     0.884     0.200
    15.664     0.966     0.200
    17.461     1.034     0.200
    17.730     1.043     0.200
    17.480     1.064     0.200
     3.988     0.038     0.200
     5.137     0.149     0.200
     4.668     0.180     0.200
     5.527     0.181     0.200
     6.918     0.326     0.200
     6.969     0.265     0.200
     9.129     0.406     0.200
     9.199     0.479     0.200
    11.156     0.623     0.200
    12.109     0.645     0.200
    11.219     0.586     0.200
    11.707     0.586     0.200
    14.168     0.784     0.200
    13.988     0.800     0.200
    15.148     0.937     0.200
    15.379     0.941     0.200
    21.016     1.282     0.200
     4.344     0.167     0.200
     7.014     0.329     0.200
     6.743     0.289     0.200
     7.644     0.358     0.200
     8.373     0.422     0.200
     9.573     0.483     0.200
    10.224     0.498     0.200
     9.674     0.496     0.200
    15.483     0.895     0.200
    15.703     0.907     0.200
    15.833     1.057     0.200
    18.384     1.099     0.200
     9.271     0.528     0.200
    10.291     0.571     0.200
    12.330     0.717     0.200
    13.512     0.763     0.200
    13.670     0.789     0.200
    14.271     0.838     0.200
    14.762     0.876     0.200
    12.451     0.778     0.200
    15.211     0.867     0.200
    18.971     1.197     0.200
    43.828     2.853     0.200
    43.586     2.853     0.200
    46.094     2.975     0.200
    45.043     2.975     0.200
    46.406     2.975     0.200
END
# Sn arrivals
gmt psxy -: -R $projection -Sc -Wthin,green -K -O << END >> $psfile
    69.520     2.689     0.200
   145.000     5.806     0.200
   147.609     5.930     0.200
   187.180     7.358     0.200
   211.398     8.606     0.200
   237.949     9.893     0.200
   382.520    16.017     0.200
   129.488     5.181     0.200
   216.838     9.026     0.200
   302.428    12.723     0.200
   316.428    13.326     0.200
   375.428    15.993     0.200
    77.105     2.861     0.200
   291.105    12.209     0.200
   305.105    12.750     0.200
   363.105    15.425     0.200
   301.555    12.583     0.200
   362.555    15.254     0.200
   374.555    15.715     0.200
   379.555    15.908     0.200
   381.555    16.082     0.200
   384.555    15.901     0.200
   315.187    13.243     0.200
   315.078    13.205     0.200
   291.384    12.071     0.200
   302.247    12.561     0.200
   307.005    12.651     0.200
   305.481    12.651     0.200
   330.608    13.590     0.200
   361.792    15.098     0.200
   363.780    15.322     0.200
   378.566    15.903     0.200
   394.207    16.622     0.200
   396.946    16.683     0.200
   382.334    15.891     0.200
   317.453    13.050     0.200
   323.145    13.202     0.200
   325.262    13.202     0.200
    85.473     3.361     0.200
   300.000    12.579     0.200
   313.633    13.074     0.200
   318.105    13.168     0.200
   313.477    13.168     0.200
   312.285    13.099     0.200
   371.527    15.609     0.200
   370.023    15.433     0.200
    78.859     3.003     0.200
   295.574    12.229     0.200
   311.395    12.815     0.200
   332.434    14.209     0.200
   311.617    12.749     0.200
    80.754     3.167     0.200
   310.262    12.893     0.200
   328.191    13.428     0.200
   344.508    14.523     0.200
   368.258    15.559     0.200
    71.270     2.715     0.200
   301.379    12.522     0.200
   331.160    13.729     0.200
   380.098    15.921     0.200
    70.574     2.694     0.200
   301.445    12.510     0.200
   333.637    13.735     0.200
   302.246    12.438     0.200
   300.582    12.438     0.200
   329.980    13.765     0.200
   332.555    13.862     0.200
   333.703    13.862     0.200
   340.602    14.318     0.200
   377.535    15.864     0.200
   393.488    16.513     0.200
   393.656    16.530     0.200
    75.680     2.855     0.200
    73.723     2.855     0.200
   308.266    12.659     0.200
    82.602     3.304     0.200
   315.309    13.082     0.200
   318.227    13.207     0.200
   302.207    12.413     0.200
     7.133     0.020     0.200
    26.199     0.932     0.200
    36.570     1.305     0.200
   319.578    13.168     0.200
    44.176     1.673     0.200
    67.645     2.534     0.200
   297.242    12.273     0.200
    18.308     0.157     0.200
    25.228     0.673     0.200
    21.888     0.598     0.200
    33.848     1.119     0.200
    32.028     1.117     0.200
    81.648     3.103     0.200
    13.727     0.319     0.200
    19.930     0.607     0.200
    22.168     0.766     0.200
    30.789     1.099     0.200
    36.219     1.249     0.200
   327.078    13.581     0.200
   314.345    12.915     0.200
   378.562    15.787     0.200
     7.875     0.103     0.200
    14.604     0.388     0.200
    19.684     0.566     0.200
    24.635     0.859     0.200
    27.514     0.946     0.200
    81.770     3.134     0.200
     7.711     0.096     0.200
    14.547     0.396     0.200
    26.719     0.952     0.200
    27.453     0.985     0.200
    33.719     1.171     0.200
    82.211     3.144     0.200
    81.633     3.144     0.200
   313.680    12.992     0.200
   317.461    13.183     0.200
   318.361    13.120     0.200
    17.418     0.501     0.200
    39.969     1.440     0.200
   317.020    13.149     0.200
   316.547    13.133     0.200
    16.512     0.484     0.200
    24.480     0.859     0.200
    39.480     1.424     0.200
   317.027    13.130     0.200
   316.426    13.152     0.200
   370.566    15.395     0.200
    17.871     0.539     0.200
    25.711     0.861     0.200
    40.313     1.488     0.200
    87.430     3.391     0.200
   318.465    13.164     0.200
    16.887     0.484     0.200
    85.730     3.341     0.200
   316.988    13.130     0.200
    14.797     0.408     0.200
    27.383     0.962     0.200
    27.188     0.971     0.200
    33.875     1.186     0.200
    83.266     3.159     0.200
    82.844     3.159     0.200
   317.219    13.142     0.200
   371.062    15.484     0.200
   276.906    11.443     0.200
   285.844    11.915     0.200
   298.781    12.041     0.200
   297.406    12.303     0.200
   334.336    13.761     0.200
   383.523    15.850     0.200
   384.148    15.850     0.200
   420.477    16.856     0.200
   414.625    16.856     0.200
    78.447     3.027     0.200
   307.316    12.871     0.200
   377.650    15.810     0.200
   235.096     9.586     0.200
   307.623    12.700     0.200
   331.348    13.554     0.200
   383.848    15.793     0.200
   231.961     9.627     0.200
   306.734    12.648     0.200
   330.531    13.615     0.200
   381.758    15.784     0.200
   231.254     9.502     0.200
   230.434     9.502     0.200
   284.461    11.741     0.200
   296.164    12.103     0.200
   294.313    12.113     0.200
   295.125    12.216     0.200
   299.637    12.326     0.200
   301.602    12.405     0.200
   306.344    12.605     0.200
   308.426    12.686     0.200
   308.773    12.707     0.200
   311.543    12.798     0.200
   310.277    12.798     0.200
   315.133    12.955     0.200
   318.371    13.119     0.200
   315.598    13.158     0.200
   319.527    13.171     0.200
   330.746    13.645     0.200
END
# Sb arrivals
gmt psxy -: -R $projection -Sc -Wthin,blue -K -O << END >> $psfile
END
# Sg arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -K -O << END >> $psfile
    73.555     2.769     0.200
    74.099     2.825     0.200
    85.545     3.227     0.200
    73.098     2.730     0.200
    41.824     1.524     0.200
     7.648     0.038     0.200
     9.426     0.149     0.200
     9.047     0.180     0.200
    25.797     0.937     0.200
    26.457     0.941     0.200
    34.059     1.218     0.200
    85.898     3.271     0.200
    12.854     0.329     0.200
    25.693     0.895     0.200
    28.333     1.057     0.200
    18.191     0.571     0.200
    25.740     0.838     0.200
    26.820     0.876     0.200
    22.381     0.778     0.200
    77.473     2.891     0.200
    76.203     2.853     0.200
    79.316     2.975     0.200
    80.082     2.975     0.200
    81.160     2.975     0.200
END
# Lg arrivals
gmt psxy -: -R $projection -Sc -Wthin,cyan -K -O << END >> $psfile
END
# Sg arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -K -O << END >> $psfile
    73.555     2.769     0.200
    74.099     2.825     0.200
    85.545     3.227     0.200
    73.098     2.730     0.200
    41.824     1.524     0.200
     7.648     0.038     0.200
     9.426     0.149     0.200
     9.047     0.180     0.200
    25.797     0.937     0.200
    26.457     0.941     0.200
    34.059     1.218     0.200
    85.898     3.271     0.200
    12.854     0.329     0.200
    25.693     0.895     0.200
    28.333     1.057     0.200
    18.191     0.571     0.200
    25.740     0.838     0.200
    26.820     0.876     0.200
    22.381     0.778     0.200
    77.473     2.891     0.200
    76.203     2.853     0.200
    79.316     2.975     0.200
    80.082     2.975     0.200
    81.160     2.975     0.200
END
# S-P arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -O << END >> $psfile
END
